Subject: RE: IPv6 Link-Local Address on Mediums that are Glued Together

From: Brian Zill <[email-masked]>
Date: Thu, 2 Dec 1999 21:28:19 -0800

Not to add fuel to the flames here, but I just wanted to point out that
besides physical links getting glued together, this potential problem also
exists for wireless links. (Maybe this was discussed before and I missed
it?)  It is not uncommon for wireless nodes to think that they are on link
when they have actually been shut out due to interference, signal loss or
whatever.  So DAD could fail to detect a collision here as well.  A wireless
node might come back from a dead spot to find that another node has taken
its link-local address in the meantime.

So, if anyone is writing an IPv6 over wireless foo draft, you might want to
note that it's even more critical than normal that the interface identifiers
used to create the link-local addresses be globally unique (or are at least
guaranteed unique for all interfaces on that type of link media).

Cheers,
--Brian

> -----Original Message-----
> From: Jim Bound [mailto:[email-masked]]
> Sent: Thursday, 02 December, 1999 19:46
> To: Steve Deering
> Subject: Re: IPv6 Link-Local Address on Mediums that are 
> Glued Together 
> 
> 
> Steve,
> 
> >As long as people use stateless addr conf, or configure
> >their DHCPv6 servers to generate IPv6 interface IDs from
> >requestors' MAC addresses, the probability of IPv6 address
> >collisions when two separate LANs are merged ought to be
> >negligible (assuming IEEE 802-style LAN addressing).
> >That would seem to be the prudent thing to do.  I suppose
> >nodes could run DAD periodically at some low rate, but if
> >the rate is low enough to ensure that no one will care
> >about the overhead, then it'll be too low to quickly
> >detect the collision; and then there's the problem Thomas
> >pointed out about deciding which of the colliders gets
> >nuked.  Better just to use MAC-derived link-locals, so
> >collisions will be extremely unlikely to occur, no matter
> >how much unintentional bridging happens.
> 
> Nice response on what to tell folks.  
> 
> I don't want us to beat this to death.  I know we discussed
> it just pointing out it popped up again.  We may hear from
> zeroconf folks though.  
> 
> thanks
> /jim
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Peter Tattam <[email-masked]>
Date: Fri, 3 Dec 1999 17:27:09 +1100 (EST)

> guaranteed unique for all interfaces on that type of link media).

The key to any situation like this is to come up with mechanisms for
determining that the physical topology has changed to force a DAD. With radio,
that event is more likely to be visible than with ethernet.

Even with DAD, if you have active connections with a duplicate address, these
are going to break right away.  Classic TCP readdressing scenario again.

Give me stateless autoconfig with globally unique addresses any day.

As mobile computing & zeroconf computing is going to be the next major growth
area, these are issues that are going to turn around to bite us in the b**.

Peter

--
Peter R. Tattam                            [email-masked]
Managing Director,    Trumpet Software International Pty Ltd
Hobart, Australia,  Ph. +61-3-6245-0220,  Fax +61-3-62450210